by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    fansekey
    @xiangshouding
    test
    张军
    @zhangjunah
    image test
    Amo Wu
    @amowu
    👀
    fansekey
    @xiangshouding
    function() {}
    2k
    @rankai
    在么 @xiangshouding
    fansekey
    @xiangshouding
    在了
    2k
    @rankai
    gyp: binding.gyp not found (cwd: /usr/local/lib/node_modules/fis/node_modules/fis-optimizer-png-compressor/node_modules/node-pngquant-native
    fis-optimizer-png-compressor 我这里出错就是这个module下面的dependencies安装的时候出错
    node-pngquant-native node-pngcrush
    fansekey
    @xiangshouding
    嗯,我知道;
    你是直接装的 Ubuntu 15.04 吗,那个没有发布的版本?
    2k
    @rankai
    不是啊,我的是14.10
    2k
    @rankai
    我uninstall了node,然后直接通过编译source安装的node就好了
    siluoxingtang
    @siluoxingtang
    在吗?我也是和你一样的错误 @kevinran
    @xiangshouding 我的是centos,能安装fis吗?
    2k
    @rankai
    fis是基于NPM管理的,能装
    siluoxingtang
    @siluoxingtang
    嗯,我刚按你的试了,卸载node,重新安装,好了,
    2k
    @rankai
    恩恩
    fis工程化的操作的确很方便,不知道如果要定制配置相比grunt是不是也会比较方便呢 @xiangshouding
    fansekey
    @xiangshouding
    @kevinran 你可以试用试用
    @siluoxingtang 我怎么感觉是新版 node 自身就有问题。。。
    fansekey
    @xiangshouding
    This message was deleted
    GitHub Markdown
    2k
    @rankai
    @xiangshouding
    siluoxingtang
    @siluoxingtang
    @xiangshouding 请问,我怎么整合到我在用的apache环境(意思本身 LAMP环境的 网站)中呢,
    @xiangshouding 因为,我一个服务器上面有多个站点
    fansekey
    @xiangshouding
    @siluoxingtang 如果你直接使用裸 fis ,可以用 simple 这个插件,这个在官网就介绍了,等弄完发布到 Apache 的根目录下即可。 其实本身跟服务器是没啥关系的,可能你这块更需要关注后端模板语言。。
    你可以配置 rewrite 啊,或者是 vhost
    siluoxingtang
    @siluoxingtang
    好的,谢谢
    2k
    @rankai
    @xiangshouding 请问, 对于lbi和dwt等非内置text列表的text后缀,我通过project.fileType追加道text列表后, -m md5标签不能够自动替换lbi和dwt中引用的js/css文件, 这个要如何配置
    fansekey
    @xiangshouding
    @kevinran
    fis.config.set('roadmap.path', [{
       reg: /.*\.lbi/i,
       isHtmlLike: true // 如果 .lbi 文件是类 html 的文本
    }]);
    2k
    @rankai
    <script type="text/javascript" src="__TPL__/js/effects.jquery-ui.min.js"></script>
    still not work, 与src的路径有关系么, 也可以发给我相关文档的连接
    2k
    @rankai
    @xiangshouding ../images/xx.png 编译后总是被定位为/xx/images/xx.png, 应该是xx/images/xx.png, 哪里配置呢? 我看了css资源定位的内容但是没有解决
    @xiangshouding 描述有误, -o后css和js里的资源404
    fansekey
    @xiangshouding
    @kevinran 建议多读下文档,这个问题已经很多人问了,大概都是因为从来没有静下心来看文档。
    2k
    @rankai
    @xiangshouding
    河马
    @fire-wolf

    npm ERR! Error: shasum check failed for C:\Users\bbgds\AppData\Local\Temp\npm-87
    32-20igOMeQ\1429077505669-0.7737864961382002\tmp.tgz
    npm ERR! Expected: f4dacbc3efad64e0a4bc41355518e9b6ef899ed7
    npm ERR! Actual: 68f0857200f84f06c8a6e0d47ee56e32841d37a7
    npm ERR! From: https://registry.npmjs.org/node-pngcrush/-/node-pngcrush-0.1.
    3.tgz
    npm ERR! at F:\Program Files\nodejs\node_modules\npm\node_modules\sha\index.
    js:38:8
    npm ERR! at ReadStream.<anonymous> (F:\Program Files\nodejs\node_modules\npm
    \node_modules\sha\index.js:85:7)
    npm ERR! at ReadStream.EventEmitter.emit (events.js:117:20)
    npm ERR! at _stream_readable.js:920:16
    npm ERR! at process._tickCallback (node.js:415:13)
    npm ERR! If you need help, you may report this entire log,
    npm ERR! including the npm and node versions, at:
    npm ERR! http://github.com/npm/npm/issues

    npm ERR! System Windows_NT 6.1.7601
    npm ERR! command "F:\Program Files\nodejs\\node.exe" "F:\Program Files\nod
    ejs\node_modules\npm\bin\npm-cli.js" "install" "-g" "fis"
    npm ERR! cwd C:\Users\bbgds
    npm ERR! node -v v0.10.26
    npm ERR! npm -v 1.4.3

    images@2.1.3 install C:\Users\bbgds\AppData\Roaming\npm\nodemodules\fis\node
    modules\fis-spriter-csssprites\node_modules\images
    node -e ""

    这个问题怎么解决啊

    C:\Users\bbgds>npm -v
    1.4.3

    C:\Users\bbgds>node -v
    v0.10.26

    fansekey
    @xiangshouding
    @fire-wolf
    @fire-wolf
    $ npm cache clean
    Nonkr
    @nonkr
    好像很牛逼的样子
    ·· var no = 1;``
    var no = 1;
    var no = 1;
    mitang1378
    @mitang1378

    C:\Users\Administrator\demo\fis-quickstart-demo>fis server start
    checking java support : java not support!
    [WARNI] Error: spawn java ENOENT
    To start the node server willstarting fis-server .. fail
    module.js:338
    throw err;
    ^
    Error: Cannot find module 'ee-first'
    at Function.Module._resolveFilename (module.js:336:15)
    at Function.Module._load (module.js:278:25)
    at Module.require (module.js:365:17)
    at require (module.js:384:17)
    at Object.<anonymous> (C:\Users\Administrator\AppData\Local.fis-tmp\www\nod
    e_modules\express\node_modules\on-finished\index.js:19:13)
    at Module._compile (module.js:460:26)
    at Object.Module._extensions..js (module.js:478:10)
    at Module.load (module.js:355:32)
    at Function.Module._load (module.js:310:12)
    at Module.require (module.js:365:17)

    [ERROR] Cannot find module 'ee-first'

    测试官方给的demo 启动本地调试出现的错误
    怎么整呢
    程帅
    @Pines-Cheng
    test